import socket

def process_text(text):
    return f"[[[{text.lower()}]]]"

server = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
server.bind(('0.0.0.0', 11001))
print("UDP сервер запущен на порту 11001")

while True:
    data, addr = server.recvfrom(1024)
    text = data.decode()
    print(f"Сообщение от {addr}: {text}")
    response = process_text(text)
    server.sendto(response.encode(), addr)
    if text.upper() == 'EXIT':
        print("Сервер завершает работу.")
        break

server.close()